Bug 1449470 - Review Request: python3-coverage - Code coverage testing module for Python
Summary: Review Request: python3-coverage - Code coverage testing module for Python
Status: CLOSED DUPLICATE of bug 1294860
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 05:28 UTC by Aurelien Bompard
Modified: 2017-08-25 13:40 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-25 13:40:21 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Aurelien Bompard 2017-05-10 05:28:02 UTC
Spec URL: https://abompard.fedorapeople.org/reviews/python3-coverage/python3-coverage.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/python3-coverage/python3-coverage-4.4-1.el7.centos.src.rpm
Description:
This module is already provided by RHEL/CentOS, but only in the Python2 version. I am submitting this package, based on the main one, which only builds the Python3 version, and I'll only request the EPEL7 branch (and later EPEL versions).

Fedora Account System Username: abompard

There are some rpmlint warnings, but they are identical to those in the main python-coverage package, so I thought being as close as possible to the main package was more important.

Comment 1 Neal Gompa 2017-06-03 12:20:21 UTC
Taking this review.

Comment 2 Neal Gompa 2017-06-03 12:21:32 UTC
fedora-review failed:

> WARNING: Cannot download url: http://pypi.python.org/packages/source/c/coverage/coverage-4.4.tar.gz

Comment 3 Neal Gompa 2017-06-03 12:25:02 UTC
> BuildRequires:  python3-pkgversion-macros

This package has been superseded by "python-srpm-macros" and thus doesn't build in Rawhide anymore. Please replace.

Comment 5 Neal Gompa 2017-06-03 23:22:38 UTC
- rpmlint issue:
  * python3-coverage.src: W: invalid-license GPL

Please fix the license field so that the license tags are correct.

Comment 6 Aurelien Bompard 2017-06-04 09:31:19 UTC
Fixed, thanks. One of the files specifies GPLv2, the other two GPL files don't specify a version. The original python-coverage package had a licence tag without the version on the GPL, should I keep it that way?

Spec URL: https://abompard.fedorapeople.org/reviews/python3-coverage/python3-coverage.spec
SRPM URL: https://abompard.fedorapeople.org/reviews/python3-coverage/python3-coverage-4.4.1-1.el7.centos.src.rpm

Comment 7 Neal Gompa 2017-06-05 02:20:44 UTC
(In reply to Aurelien Bompard from comment #6)
> Fixed, thanks. One of the files specifies GPLv2, the other two GPL files
> don't specify a version. The original python-coverage package had a licence
> tag without the version on the GPL, should I keep it that way?
> 

My understanding is that all of the files are actually MIT / GPLv2. The unbundled JavaScript packages appear to be MIT or GPLv2 explicitly, at least according to the author[1][2] for the first, and Debian for the last two[3][4].

[1]: https://github.com/cowboy/jquery-throttle-debounce
[2]: http://benalman.com/about/license/
[3]: http://metadata.ftp-master.debian.org/changelogs/main/libj/libjs-jquery-hotkeys/libjs-jquery-hotkeys_0~20130707+git2d51e3a9+dfsg-2_copyright
[4]: http://metadata.ftp-master.debian.org/changelogs/main/libj/libjs-jquery-isonscreen/libjs-jquery-isonscreen_1.2.0-1_copyright

python-coverage should be appropriately fixed.

Comment 8 Neal Gompa 2017-06-05 02:22:26 UTC
Review notes:

- Follows Python packaging guidelines for EPEL
- Builds and installs
- No rpmlint issues of note
- No fedora-review issues of note

PACKAGE APPROVED.

Comment 9 Aurelien Bompard 2017-06-05 08:03:43 UTC
Thanks for your excellent review, Neal.

Comment 10 Aurelien Bompard 2017-08-25 13:40:21 UTC
There were two parallel reviews of this package, the other one was added before this one, so I'll join forces with the other maintainer. Thanks and sorry for the duplicated effort.

*** This bug has been marked as a duplicate of bug 1294860 ***


Note You need to log in before you can comment on or make changes to this bug.